/*
 * Copyright (C) 2000-2005
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * 
 */
package estella.lib;

/**
* Estrutura para armazenar servents localizados por ping
* @author Cesar Kallas - cesarkallas at gmx . net
* @since 06/12/2005
*/
public class Servent
{
	public String ip;
	public String ultVerificacao;
	public int porta;
	public int numArqComp;
	public int tamArqComp;
		
	public Servent()
	{
		ip = new String();
		ultVerificacao = new String();
		porta=0;
		numArqComp=0;
		tamArqComp=0;
	}
	
	public Servent(String ip, int porta, int numArqComp, int tamArqComp, String ultVerificacao)
	{
		this.ip = ip;
		this.ultVerificacao = ultVerificacao;
		this.porta = porta;
		this.numArqComp=numArqComp;
		this.tamArqComp=tamArqComp;
	}
}